org.eclipse.jgit.errors

## Class InvalidObjectIdException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.eclipse.jgit.errors.InvalidObjectIdException

All Implemented Interfaces:
  Serializable

    public class InvalidObjectIdException
    extends IllegalArgumentException

Thrown when an invalid object id is passed in as an argument.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidObjectIdException(byte[] bytes, int offset, int length)` Create exception with bytes of the invalid object id.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidObjectIdException

    public InvalidObjectIdException(byte[] bytes,
                                    int offset,
                                    int length)

Create exception with bytes of the invalid object id.

Parameters:
  `bytes` - containing the invalid id.
  `offset` - in the byte array where the error occurred.
  `length` - of the sequence of invalid bytes.